[Previous] [Next] [Contents]

## `SG::Part2SgCC` -- computes a conjugacy class of the symmetric group

#### Call(s)

`SG::Part2SgCC(part <,nb>)`

#### Parameters

`part` | - | any list denoting a partition
`nb` | - | only counts objects

#### Introduction

The `SG::Part2SgCC` function computes the list of all permutations whose cycle type is the given partition part.

#### Example 1

    >> muEC::SG::Part2SgCC( [2,1] );

                         [[2, 1, 3], [3, 2, 1], [1, 3, 2]]

    >> muEC::SG::Part2SgCC( [5,4,3,1], nb );

                                     103783680

#### Related Functions

``

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package